﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace EKG_model
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            serialPort1.NewLine = "\r";
            serialPort1.Open();
        }

        string mesg;

        private void serialPort1_DataReceived(object sender, System.IO.Ports.SerialDataReceivedEventArgs e)
        {
            while (serialPort1.BytesToRead > 0)
            {
                mesg = serialPort1.ReadLine();

                if (mesg == "s")
                {
                    MessageBox.Show("Přijímám Start požadavek");
                }
                else if (mesg == "F")
                {
                    MessageBox.Show("Přijímám Stop požadavek");
                }
                if (mesg.StartsWith("B"))
                {
                    mesg = mesg.Remove(0, 1);
                    DisplayData(textBox4, "Přijímám výkon " + mesg + " W");
                }
                else if (mesg.StartsWith("n"))
                {
                    mesg = mesg.Remove(0, 1);
                    DisplayData(textBox5, "Přijímám otáčky " + mesg + " / min");
                }
                else
                {
                    MessageBox.Show("Nedefinovaný příkaz: " + mesg);
                }
            }
        }

        [STAThread]
        private void DisplayData(TextBox box, string msg)
        {
            box.Invoke(new EventHandler(delegate
            {
                box.AppendText(msg + "\n");
            }));
        }

        private void button1_Click(object sender, EventArgs e)
        {
            serialPort1.Write("W" + textBox1.Text + "\r");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            serialPort1.Write("H" + textBox2.Text + "\r");
        }

        private void button3_Click(object sender, EventArgs e)
        {
            serialPort1.Write(textBox3.Text + "\r");
        }
    }
}
